[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TIconImage.UpdateHandles

UpdateHandles - returns True when Bitmap and Mask handles have been updated.

## Declaration

Source position: graphics.pp line 1586

`public function TIconImage.UpdateHandles(`
`ABitmap: HBITMAP;`
`AMask: HBITMAP`
`):Boolean;`

## Arguments

`ABitmap` |  | Handle for the Bitmap stored in the method.
`AMask` |  | Handle for the Mask stored in the method.

## Function result

True when the handles are successfully updated.

## Description

UpdateHandles is a Boolean function used to set the handles for the Bitmap and its optional Mask to the specified values. DeleteObject is called to remove existing handle value(s) in the Handle and MaskHandle properties.

The return value is True when the value(s) in Handle and/or MaskHandle are successfully set to the specified values.

UpdateHandles emulates the method with the same name in TCustomBitmap. UpdateHandles is called when the TIcon instance where the icon image is used calls its UpdateHandles method.